Bug 1595653 - ceph FTBFS
Summary: ceph FTBFS
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: ceph
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Boris Ranto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON37
TreeView+ depends on / blocked
 
Reported: 2018-06-27 09:27 UTC by Miro Hrončok
Modified: 2018-07-05 10:37 UTC (History)
13 users (show)

Fixed In Version: ceph-12.2.5-3.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-05 10:37:10 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Ceph Project Bug Tracker 24449 0 None None None Never

Description Miro Hrončok 2018-06-27 09:27:34 UTC
Description of problem:
When I build ceph in the f29-python side tag (fedpkg build --target=f29-python), the build fails:

https://koji.fedoraproject.org/koji/taskinfo?taskID=27751695
https://koji.fedoraproject.org/koji/taskinfo?taskID=27887805

The dependency target "crypto_plugins" of target "os" does not exist.


Version-Release number of selected component (if applicable): ceph-13.1.0-2.fc29


How reproducible: fedpkg build --target=f29-python


If you fix this, please rebuild in  the side tag with fedpkg build --target=f29-python.

Comment 1 Kaleb KEITHLEY 2018-06-28 06:28:31 UTC
The build failed on non-x86_64 archs even with python3.6 so I don't think this is a python3.7 issue.

I'm in discussions with Ceph (upstream) about resolving the build issues on non-x86_64 arches; I'm inclined to close this a NOTABUG, at least wrt python3.7.

Comment 2 Miro Hrončok 2018-06-28 07:09:37 UTC
This still blocks the rebuild. If ceph isn't rebuilt with Python 3.7, it will have broken dependencies once the side tag is merged. I've renamed the bug, please, don't close it NOTABUG, it needs to be rebuilt.

Comment 3 Kaleb KEITHLEY 2018-06-29 04:43:14 UTC
Would it be an option to (re)build 12.2.5. That builds on all the arches.

At least until community Ceph decides what they're going to do to resolve this?

Comment 4 Miro Hrončok 2018-06-29 07:39:50 UTC
Given that 13.1.0 was never build, this is a viable option, yes.

Comment 5 Miro Hrončok 2018-06-29 21:23:29 UTC
ceph-12.2.5-1.fc29 scratch build on 3.7: https://koji.fedoraproject.org/koji/taskinfo?taskID=27955560

Comment 7 Miro Hrončok 2018-07-01 10:51:47 UTC
https://koji.fedoraproject.org/koji/buildinfo?buildID=1102059 is being built in rawhide. that's not suefull, please rebuild in f29-python target.

Comment 8 Miro Hrončok 2018-07-01 10:57:06 UTC
s/suefull/helpful

Comment 9 Kaleb KEITHLEY 2018-07-01 17:43:05 UTC
Don't get your knickers in a twist.

https://koji.fedoraproject.org/koji/taskinfo?taskID=27975689

(which failed.)

Comment 10 Miro Hrončok 2018-07-01 17:58:02 UTC
Of course it failed:

GenericError: Build already in progress (task 27974160)

you cannot build the same nevr in rawhide and f29-python.

As said, building it in rawhide is not helpfull.

You can kill the rawhide build before it finishes and build in f29-python instead, or bump the release and build the new nevr in f29-python.

Comment 11 Miro Hrončok 2018-07-02 18:20:43 UTC
The side tag is no more. Please build in regular rawhide.


Note You need to log in before you can comment on or make changes to this bug.